/*
    PROGRAM:    mailscan

    FILE:       log.h

    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)

    This file is part of OpenMailScan.

    OpenMailScan is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OpenMailScan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MailScan (see license.txt); if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */

//global declarations
extern int DebugLevel;
extern int logToFile;
extern char prefix[];
//extern char		DATADIR[MAXPATH];

#define LOG_FILE_NAME "mailscan.ext.log"

//local declarations
void LogMessageText(char * Message, STATUS stat);
void LogMessageTextSeverity(char * Message, STATUS stat, int sev);
void LogMessageTextConSeverity(char * Message, STATUS stat, int sev);
